package com.ruoyi.school.paper.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 试卷对象 db_test_paper
 *
 * @author zyf
 * @date 2023-07-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("db_test_paper")
public class DbTestPaper extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 试卷名称
     */
    private String testName;
    /**
     * 类别id
     */
    private Long categoryId;
    /**
     * 阶段id
     */
    private Long phaseId;
    /**
     * 班级id
     */
    private Long classId;
    /**
     * 总分：100，150
     */
    private Integer totalPoints;
    /**
     * 备注
     */
    private String remark;
    /**
     * 状态：0正常，1删除
     */
    private Integer status;

}
