package com.ruoyi.school.paper.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 答题记录对象 db_test_paper_record
 *
 * @author zyf
 * @date 2023-07-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("db_test_paper_record")
public class DbTestPaperRecord extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 试卷id
     */
    private Long testPaperId;
    /**
     * 状态：0 批卷中，1 批卷完成
     */
    private Integer status;
    /**
     * 总得分
     */
    private Long totalPoints;
    /**
     * 备注
     */
    private String remark;

}
