package com.ruoyi.school.paper.domain.vo;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 答题记录详情视图对象 db_test_paper_record_detail
 *
 * @author zyf
 * @date 2023-07-20
 */
@Data
@ExcelIgnoreUnannotated
public class DbTestPaperRecordDetailVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ExcelProperty(value = "主键id")
    private Long id;

    /**
     * 记录id
     */
    @ExcelProperty(value = "记录id")
    private Long recordId;

    /**
     * 题目id
     */
    @ExcelProperty(value = "题目id")
    private Long questionBankId;

    /**
     * 答案
     */
    @ExcelProperty(value = "答案")
    private String answer;

    /**
     * 得分
     */
    @ExcelProperty(value = "得分")
    private BigDecimal score;

    /**
     * 是否优秀答案：0是，1不是
     */
    @ExcelProperty(value = "是否优秀答案：0是，1不是")
    private Integer good;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 状态：0正常，1 删除
     */
    @ExcelProperty(value = "状态：0正常，1 删除")
    private Integer status;

    /**
     * 创建时间
     */
    @ExcelProperty(value = "创建时间")
    private Date cerateTime;


}
